Menu

## VersionTest extends TestCase
in package

VersionTest.php : 21

Version coverage test

### Table of Contents

$version : Version
testConstructInvalidVersion() : void
testGetAlignmentPattern() : void
testGetDimension() : void
testGetRSBlocks() : void
testGetTotalCodewords() : void
testGetVersionNumber() : void
testGetVersionPattern() : void
testToString() : void
setUp() : void

### Properties

#### $version

VersionTest.php : 23
`private Version $version`

### Methods

#### testConstructInvalidVersion()

VersionTest.php : 59
`public testConstructInvalidVersion() : void`

##### Return values

void —

#### testGetAlignmentPattern()

VersionTest.php : 47
`public testGetAlignmentPattern() : void`

##### Return values

void —

#### testGetDimension()

VersionTest.php : 37
`public testGetDimension() : void`

##### Return values

void —

#### testGetRSBlocks()

VersionTest.php : 51
`public testGetRSBlocks() : void`

##### Return values

void —

#### testGetTotalCodewords()

VersionTest.php : 55
`public testGetTotalCodewords() : void`

##### Return values

void —

#### testGetVersionNumber()

VersionTest.php : 33
`public testGetVersionNumber() : void`

##### Return values

void —

#### testGetVersionPattern()

VersionTest.php : 41
`public testGetVersionPattern() : void`

##### Return values

void —

#### testToString()

VersionTest.php : 29
`public testToString() : void`

##### Return values

void —

#### setUp()

VersionTest.php : 25
`protected setUp() : void`

##### Return values

void —

## Search results